Subject: Re: Natsemi DP83815 driver spaming

From: Rafał Bilski <[email-masked]>
Date: Wed, 02 May 2007 07:54:32 +0200

>> > >  * 2) check for sudden death of the NIC:
>> > >  *    It seems that a reference set for this chip went out with
>> incorrect info,
>> > >  *    and there exist boards that aren't quite right.  An
>> unexpected voltage
>> > >  *    drop can cause the PHY to get itself in a weird state
>> (basically reset).
>> > >  *    NOTE: this only seems to affect revC chips.
>>
>> > Code commented out and NIC is working OK. Strange.
>> > eth0: DSPCFG accepted after 0 usec.
>> > eth0: link up.
>> > eth0: Setting full-duplex based on negotiated link capability.
>> > dspcfg = 0x00000000  np->dspcfg = 0x00005060
>>
>> Oh, that's entertaining.  I have to confess that I've never seen an that
>> triggered the workaround before - adding the maintainer, Tim Hockin, who
>> may be able to shed some light on the expected behaviour here?
> 
> It's been quite a while since I dealt with this issue, so I am going
> on faulty memory.  A particular reference design for this chip had bad
> resistor values, or something similar.  That caused the chip to get
> very very confused and need a reset.
Can You send me documentation? I can't find anything in datasheet. 
I will replace bad resitors with correct ones.
> So the driver is finding your chip to be hosed over and over again.
> dspcfg = 0x000000 is bad.  I'd be very surprised if you don't get
> other wierdness - bad performance or noise or who knows what.
No. It is much better. Much less packets need to be retransmitted.  
I was blaming w3cache.tkdami.net earlier.
> You could take out the error message and just let the driver do it's
> thing, or you can try to run with that logic removed.  But I'd measure
> both and see what they do.  Specifically - look  for packet errors.
With code commented out I have 1 error / 30000 transmitted packets from 
DP83815C. I have 1 error / 100000 transmitted packets to DP83815C. Maybe 
it works at all because I have short cable, only 10m long.
I don't remember any errors with plain 2.6.21.1.
> Tim
Rafał

----------------------------------------------------------------------
NIE KUPUJ!!!
...zanim nie porownasz cen >> http://link.interia.pl/f1a5e